## com.bbn.openmap.graphicLoader.netmap
Class Node

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphic
              com.bbn.openmap.omGraphics.OMPoint
                  com.bbn.openmap.graphicLoader.netmap.Node

All Implemented Interfaces:
  java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.awt.event.FocusListener, OMGeometry, OMGraphicConstants, java.io.Serializable

public class Node
extends OMPoint
implements java.awt.event.ActionListener, java.awt.event.FocusListener

Object that represents a NetMap node on the map.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.omGraphics.OMPoint
`OMPoint.Image`

Field Summary
`protected java.awt.Color` `color`
`static int` `DEFAULT_LENGTH`
`static int` `DEFAULT_RADIUS`
`static int` `DEFAULT_WIDTH`
`protected double` `gpsTime`
`protected int` `index`
`protected java.lang.String` `label`
`protected int` `length`
`protected boolean` `localhost`
`protected int` `menu`
`protected java.lang.String` `posLat`
`protected java.lang.String` `posLon`
`protected int` `posX`
`protected int` `posY`
`protected int` `shape`
`static java.awt.Color` `STATUS_DOWN`
`static java.awt.Color` `STATUS_UNKNOWN`
`static java.awt.Color` `STATUS_UP`
`protected int` `width`

Fields inherited from class com.bbn.openmap.omGraphics.OMPoint
`DEFAULT_ISOVAL, lat1, lon1, oval, radius, x, y`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphic
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`APP_OBJECT_KEY, appObject, ATT_MAP_KEY, lineType, needToRegenerate, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants

`ADD_GRAPHIC_MASK, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK`

Constructor Summary
`Node(java.lang.String label, int index, int shape, int menu, int color)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent ae)`
`void` `focusGained(java.awt.event.FocusEvent e)`
`void` `focusLost(java.awt.event.FocusEvent e)`
`java.awt.Color` `getColor()`
`int` `getIndex()`
`java.lang.String` `getLabel()`
`java.lang.String` `getName()`
`int` `getStatus()`
`double` `getTime()`
`boolean` `isLocalhost()`
`void` `moveTo(float newLat, float newLon)`
`void` `moveTo(int newX, int newY)`
`void` `setIndex(int index)`
`void` `setLocalhost(boolean value)` Set this node as the one reflecting the localhost.
`void` `setShape(int shape)`
`void` `setStatus(int color)`
`void` `setTime(double time)`

Methods inherited from class com.bbn.openmap.omGraphics.OMPoint
`generate, getLat, getLon, getRadius, getX, getY, hasLineTypeChoice, isOval, set, set, set, setLat, setLon, setOval, setRadius, setX, setY`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphic

`clone, deselect, distance, getDeclutterType, getDescription, getDescription, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, render, renderLabel, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShape, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, shouldRenderFill`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry

`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, checkAttributeMap, checkAttributeMap, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, draw, fill, getAppObject, getAppObject, getAttribute, getAttributeMap, getAttributes, getLineType, getNeedToRegenerate, getShape, isRenderable, isVisible, putAttribute, removeAttribute, replaceAppObjectWithAttributeMap, setAppObject, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, draw, fill, getAppObject, getAttribute, getAttributes, getLineType, getNeedToRegenerate, getShape, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setVisible`

Field Detail

### DEFAULT_LENGTH

    public static final int DEFAULT_LENGTH

See Also:
  Constant Field Values

### DEFAULT_WIDTH

    public static final int DEFAULT_WIDTH

See Also:
  Constant Field Values

### DEFAULT_RADIUS

    public static final int DEFAULT_RADIUS

See Also:
  Constant Field Values

### STATUS_UP

    public static java.awt.Color STATUS_UP

### STATUS_DOWN

    public static java.awt.Color STATUS_DOWN

### STATUS_UNKNOWN

    public static java.awt.Color STATUS_UNKNOWN

### label

    protected java.lang.String label

### index

    protected int index

### color

    protected java.awt.Color color

### posX

    protected int posX

### posY

    protected int posY

### posLat

    protected java.lang.String posLat

### posLon

    protected java.lang.String posLon

### gpsTime

    protected double gpsTime

### length

    protected int length

### width

    protected int width

### menu

    protected int menu

### shape

    protected int shape

### localhost

    protected boolean localhost

Constructor Detail

### Node

    public Node(java.lang.String label,
                int index,
                int shape,
                int menu,
                int color)

Method Detail

### getLabel

    public java.lang.String getLabel()

### getName

    public java.lang.String getName()

### setIndex

    public void setIndex(int index)

### getIndex

    public int getIndex()

### getColor

    public java.awt.Color getColor()

### setStatus

    public void setStatus(int color)

### getStatus

    public int getStatus()

### setTime

    public void setTime(double time)

### getTime

    public double getTime()

### setShape

    public void setShape(int shape)

### moveTo

    public void moveTo(int newX,
                       int newY)

### moveTo

    public void moveTo(float newLat,
                       float newLon)

### setLocalhost

    public void setLocalhost(boolean value)

  Set this node as the one reflecting the localhost.

### isLocalhost

    public boolean isLocalhost()

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details